LibOFX: tree< T, tree_node_allocator >::pre_order_iterator Class Reference

LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
tree< T, tree_node_allocator >::pre_order_iterator Class Reference

Depth-first iterator, first accessing the node, then its children. More...

Inheritance diagram for tree< T, tree_node_allocator >::pre_order_iterator:

## Public Member Functions
| pre_order_iterator (tree_node *)
| pre_order_iterator (const iterator_base &)
| pre_order_iterator (const sibling_iterator &)
bool | operator== (const pre_order_iterator &) const
bool | operator!= (const pre_order_iterator &) const
pre_order_iterator & | operator++ ()
pre_order_iterator & | operator-- ()
pre_order_iterator | operator++ (int)
pre_order_iterator | operator-- (int)
pre_order_iterator & | operator+= (unsigned int)
pre_order_iterator & | operator-= (unsigned int)
Public Member Functions inherited from tree< T, tree_node_allocator >::iterator_base
| iterator_base (tree_node *)
T & | operator* () const
T * | operator-> () const
void | skip_children ()
| When called, the next increment/decrement skips children of this node.
unsigned int | number_of_children () const
| Number of children of the node pointed to by the iterator.
sibling_iterator | begin () const
sibling_iterator | end () const

## Additional Inherited Members
Public Types inherited from tree< T, tree_node_allocator >::iterator_base
typedef T | value_type
typedef T * | pointer
typedef T & | reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
Data Fields inherited from tree< T, tree_node_allocator >::iterator_base
tree_node * | node
Protected Attributes inherited from tree< T, tree_node_allocator >::iterator_base
bool | skip_current_children_

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::pre_order_iterator

Depth-first iterator, first accessing the node, then its children.

Definition at line 161 of file tree.hh.

The documentation for this class was generated from the following file:

- tree.hh